Page 1 of 1

Can someone build me a Löve 0.7.2 Debian package?

Posted: 12 Dec 2012, 07:58
by JamesTheAwesomeDude
I was just trying to run Not Tetris 2 on my Linux machine (64-bit Ubuntu 12.04, to be precise,) and it wasn't working. I then re-checked the download page and saw that you need to use Love 0.7.2 for that game.

Unfortunately, the only downloads available for Linux are either source code, or don't work with my version.
I've tried building the source code, but I suck at doing that, so, of course, I failed.

I need somebody to build me a Debian file: Precise, AMD64 (or at least some runnable 64-bit binaries.)

Anyway, it's a bit of a tall order, but I would much appreciate it if somebody could accomplish it.

Re: Can someone build me a Löve 0.7.2 Debian package?

Posted: 25 Dec 2012, 11:01
by alberto_lara
Here are some debian packages for differents ubuntu versions: https://love2d.org
Regards and good luck (sorry for the bad english).

Re: Can someone build me a Löve 0.7.2 Debian package?

Posted: 25 Dec 2012, 11:02
by alberto_lara
alberto_lara wrote:Also it's a newer version, the 0.8.0.

Re: Can someone build me a Löve 0.7.2 Debian package?

Posted: 25 Dec 2012, 16:09
by JamesTheAwesomeDude
No... Not Tetris 2 needs the older version, and the Love site doesn't have it... only useless source code... (I suck at compiling source packages)

Re: Can someone build me a Löve 0.7.2 Debian package?

Posted: 25 Dec 2012, 18:01
by Sašo

Re: Can someone build me a Löve 0.7.2 Debian package?

Posted: 27 Dec 2012, 19:28
by JamesTheAwesomeDude
Sašo wrote:This should be useful

https://love2d.org/forums/viewtopic.php?t=2970

That page only offers Debains up to 11.10.

Like I said in the OP:
JamesTheAwesomeDude wrote:[...]
Unfortunately, the only downloads available for Linux are either source code, or don't work with my version.
I've tried building the source code, but I suck at doing that, so, of course, I failed.
[...]

Re: Can someone build me a Löve 0.7.2 Debian package?

Posted: 02 Jan 2013, 05:49
by trosh
why do you need it to be 64-bit? 32-bit programs run fine on 64-bit hardware

building source code might be boring but everyone does it

Re: Can someone build me a Löve 0.7.2 Debian package?

Posted: 02 Jan 2013, 06:37
by JamesTheAwesomeDude
trosh wrote:why do you need it to be 64-bit? 32-bit programs run fine on 64-bit hardware

building source code might be boring but everyone does it


I don't really care 32-vs-64, either is fine.

I just need someone to build it. I would be perfectly willing to do it myself, but I get this whenever I try. (errors are at lines 100 and 106. I can't figure out what's wrong...)

Re: Can someone build me a Löve 0.7.2 Debian package?

Posted: 02 Jan 2013, 06:40
by trosh

Re: Can someone build me a Löve 0.7.2 Debian package?

Posted: 02 Jan 2013, 18:46
by JamesTheAwesomeDude
Okay, ./configure appears to have succeeded, so did make and sudo make install. (typing love at a Terminal says 0.7.2, Game Slave.)

I now want to distribute the compiled code, do I just need the file at /usr/bin/love, or does it have something somewhere in /usr/lib?

Re: Can someone build me a Löve 0.7.2 Debian package?

Posted: 02 Jan 2013, 19:17
by trosh

Code: Select all

$ whereis love (baby don't leave me)
love: /usr/bin/love

i'm thinking you only need the executable, however i'm not really the person to ask in this case.
you could just try copying the binary to a similar machine and see if it runs fine
--edit:
btw i just realized you probably should have started this thread on love2d forums, but that's ok